<template>
  <div class="knowledge-con">
    <navs :isLogin="isLogin" :rightText="rightText" @went="goBack()" @save="saves" :saveText="saveText"></navs>
    <un-name-list :listArray="listArray" :types="types" ref="listRef" @setting="setting"></un-name-list>
    <div class="spe-region">
      第三方账号
    </div>
    <un-name-list :listArray="thirdArray"></un-name-list>

    <div class="exit-btn-pare">
        退出登录
    </div>

  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import unNameList from '../components/unnameList.vue';
  import M from '../utils/api.js';
  export default {
    name: 'setting',
    data () {
      return {
        isLogin:false,
        rightText:"设置",
        saveText:"保存",
        listArray:[{
          titles:"用户名",
          types:"text",
          kinds:'ipt',
          code:"userName",
          subTitle:"陈昊"
        },{
          titles:"密码",
          types:"password",
          kinds:'pwd',
          code:"pwd",
          subTitle:"**"
        },{
          titles:"手机号码",
          types:"tel",
          code:"tels",
          kinds:'ipt',
          subTitle:"13434678903"
        },{
          titles:"专业分类",
          types:"text",
          code:"3",
          kinds:'ipt',
          subTitle:"经管类"
        }],
        thirdArray:[{
          titles:"QQ",
          types:"text",
          code:"bind",
          subTitle:"去綁定"
        },{
          titles:"微信",
          types:"text",
          code:"wechat",
          subTitle:"去綁定"
        }],
        types:"inputs"
      }
    },
    watch:{

    },
    methods:{
      goBack(){
        window.history.go(-1);
      },
      saves(){
        this.getUserInfo();
      },
      setPassword(op,np){
          let para={
            oldPassword:op,
            newPassword:np
          }
          M.setPassword(function(data){

          },para)
      },
      getUserInfo(){
          let para={
            userName:this.listArray[0].subTitle,
            userMajor:this.listArray[0].code
          },vm=this;
          M.getUserInfo(function(data){
            if(data.status=='success'){
              vm.$router.push("/personCenter");
            }
          },para)
      },
      setting(){
          this.$router.push("/setPassword")
      }
    },
    components:{
      navs,
      unNameList
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  @import "../styles/loading.css";
</style>
